BeagleWksDBParserInternal::Database Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
BeagleWksDBParserInternal::Database Struct Reference

Internal: the spreadsheet of a BeagleWksDBParser. More...

## Public Member Functions
| Database ()
| constructor More...
void | updateWithContent (Cell &cell, MWAWVec2i const &pos, MWAWCellContent const &content) const
| update a field with the record data More...

## Static Public Member Functions
static std::vector< float > | convertInPoint (std::vector< int > const &list, float defSize)
| convert the m_widthCols, m_heightRows in a vector of of point size More...

## Public Attributes
int | m_numFields
| the number of rows More...
std::vector< Cell > | m_fields
| the list of fields More...
std::vector< std::vector< MWAWCellContent > > | m_records
| the list of not empty cells (one list by row ) More...
std::vector< MWAWEntry > | m_memos
| the list of memo strings entry More...
std::string | m_name
| the database name More...

## Detailed Description

Internal: the spreadsheet of a BeagleWksDBParser.

## Constructor & Destructor Documentation

## § Database()

BeagleWksDBParserInternal::Database::Database | ( |  | ) |
| inline

constructor

## Member Function Documentation

## § convertInPoint()

static std::vector<float> BeagleWksDBParserInternal::Database::convertInPoint | ( | std::vector< int > const & | list,
|  | float | defSize
| ) |  |
| inlinestatic

convert the m_widthCols, m_heightRows in a vector of of point size

## § updateWithContent()

void BeagleWksDBParserInternal::Database::updateWithContent | ( | Cell & | cell,
|  | MWAWVec2i const & | pos,
|  | MWAWCellContent const & | content
| ) |  | const

update a field with the record data

Referenced by BeagleWksDBParser::sendDatabase().

## Member Data Documentation

## § m_fields

std::vector<Cell> BeagleWksDBParserInternal::Database::m_fields

the list of fields

Referenced by BeagleWksDBParser::readDatabase(), BeagleWksDBParser::readFields(), BeagleWksDBParser::readRow(), and BeagleWksDBParser::sendDatabase().

## § m_memos

std::vector<MWAWEntry> BeagleWksDBParserInternal::Database::m_memos

the list of memo strings entry

## § m_name

std::string BeagleWksDBParserInternal::Database::m_name

the database name

## § m_numFields

int BeagleWksDBParserInternal::Database::m_numFields

the number of rows

Referenced by BeagleWksDBParser::readFields().

## § m_records

std::vector<std::vector<MWAWCellContent> > BeagleWksDBParserInternal::Database::m_records

the list of not empty cells (one list by row )

Referenced by BeagleWksDBParser::readRow(), and BeagleWksDBParser::sendDatabase().

The documentation for this struct was generated from the following file:

- BeagleWksDBParser.cxx